On Fri, Apr 30, 2010 at 23:47:07 +0200, Julien Cristau wrote:

> Package: libgdal1-dev
> Version: 1.6.3-3+b2
> Severity: serious
> Justification: breaks other packages
> 
> The gdal-config script in the mipsel libgdal1-dev package contains:
> CONFIG_DEP_LIBS=" -L/usr/lib -lgeos_c -I/usr/include -lsqlite3 -lodbc
> -lodbcinst -L/usr/lib -lexpat -L/usr/lib -lxerces-c -lpthread -ljasper
> -lhdf5 -lmfhdfalt -ldfalt -logdi -lgif -ljpeg -lpng -lnetcdf -lpq
> -L/usr/lib -lpq -lz -lpthread -lm -lrt -ldl    -lcurl -Wl,-z,defs
> -rdynamic -L/usr/lib/mysql -lmysqlclient"
> 
> This is utterly broken.  In particular, -Wl,-z,defs breaks the build of
> mapserver:
> https://buildd.debian.org/fetch.cgi?pkg=mapserver&arch=mipsel&ver=5.6.3-1&stamp=1272661432&file=log&as=raw
> 
Seems to be due to libcurl 7.20.1-1 breakage, fixed in -2.  I requested
a binNMU of gdal against the fixed curl, and will close this bug once
that's done.

> -rdynamic and -I/usr/include are dubious too, at least.
> 
This is still true.

Cheers,
Julien

Attachment: signature.asc
Description: Digital signature

_______________________________________________
Pkg-grass-devel mailing list
Pkg-grass-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/mailman/listinfo/pkg-grass-devel

Reply via email to